summaryrefslogtreecommitdiffstats
path: root/source/n/postfix
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/postfix')
-rw-r--r--source/n/postfix/0001-openssl-micro-mismatch-nowarn.patch30
-rwxr-xr-xsource/n/postfix/postfix.SlackBuild10
2 files changed, 38 insertions, 2 deletions
diff --git a/source/n/postfix/0001-openssl-micro-mismatch-nowarn.patch b/source/n/postfix/0001-openssl-micro-mismatch-nowarn.patch
new file mode 100644
index 000000000..e7d0dd370
--- /dev/null
+++ b/source/n/postfix/0001-openssl-micro-mismatch-nowarn.patch
@@ -0,0 +1,30 @@
+From e3e682bd4f0b374ea850c3a3eeb9243308f99ff5 Mon Sep 17 00:00:00 2001
+From: "Patrick J. Volkerding" <volkerdi@slackware.com>
+Date: Mon, 11 Dec 2023 13:47:45 -0600
+Subject: [PATCH] tls_misc.c: Don't warn if run-time library is different from compile-time library
+
+According to the OpenSSL migration guide:
+
+"OpenSSL versions with the same major number are API and ABI compatible.
+If the major number changes then API and ABI compatibility is not guaranteed."
+
+So, stop filling the logs with this when upstream says it's fine.
+
+--- ./src/tls/tls_misc.c.orig 2023-06-04 16:02:41.000000000 -0500
++++ ./src/tls/tls_misc.c 2023-12-11 13:44:32.234027721 -0600
+@@ -1396,6 +1396,7 @@
+ * Warn if run-time library is different from compile-time library,
+ * allowing later run-time "micro" versions starting with 1.1.0.
+ */
++#ifdef OPENSSL_MICRO_MISMATCH_WARN
+ if (lib_info.major != hdr_info.major
+ || lib_info.minor != hdr_info.minor
+ || (lib_info.micro != hdr_info.micro
+@@ -1406,6 +1407,7 @@
+ "OpenSSL %d.%d.%d may not be compatible with OpenSSL %d.%d.%d",
+ lib_info.major, lib_info.minor, lib_info.micro,
+ hdr_info.major, hdr_info.minor, hdr_info.micro);
++#endif
+ }
+
+ /* tls_compile_version - compile-time OpenSSL version */
diff --git a/source/n/postfix/postfix.SlackBuild b/source/n/postfix/postfix.SlackBuild
index d01891e6b..2aab4ca48 100755
--- a/source/n/postfix/postfix.SlackBuild
+++ b/source/n/postfix/postfix.SlackBuild
@@ -2,7 +2,7 @@
#
# Copyright 2006, 2011 Alan Hicks, Lizella, GA
# Copyright 2010, 2011, 2013, 2014, 2015, 2016, 2017 Mario Preksavec, Zagreb, Croatia
-# Copyright 2017, 2018, 2020, 2022 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2017, 2018, 2020, 2022, 2023 Patrick J. Volkerding, Sebeka, MN USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=postfix
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -102,6 +102,12 @@ zcat $CWD/postfix.only.warn.regular.files.diff.gz | patch -p1 --verbose || exit
# Make the postfix startup message look more like the other boot notices:
zcat $CWD/postfix.script.starting.message.diff.gz | patch -p1 --verbose || exit 1
+# According to the OpenSSL migration guide:
+# "OpenSSL versions with the same major number are API and ABI compatible. If
+# the major number changes then API and ABI compatibility is not guaranteed."
+# So, stop filling the logs with this when upstream says it's fine.
+zcat $CWD/0001-openssl-micro-mismatch-nowarn.patch.gz | patch -p1 --verbose || exit 1
+
# Postfix does not use a ./configure script (no GNU autoconf)
#
# The AUXLIBS variable is for dynamic library linking, which as of this